{% extends "infra/base.html" %}
{% load i18n %}

{% load staticfiles %}
{% load widget_tweaks %}

{% block title %}Servicios de Nodo{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
		<li class="breadcrumb-item"><a href="{% url 'node-detail' pk=object.pk %}">ID: {{ object.pk }}</a></li>
		<li class="breadcrumb-item active"><a href="#">Servicios de Nodo</a></li>
	  </ol>
	
	<!-- begin page-header -->
	<h1 class="page-header">Servicios de Nodo <small>{{ object.code }}</small></h1>
	<!-- end page-header -->


  <ul class="nav nav-pills mb-2">
		<li class="nav-item">
		  <a href="{% url 'node-detail' pk=object.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="{% url 'node-gear' pk=object.pk %}" class="nav-link">
			<span class="d-sm-none">Equipos</span>
			<span class="d-sm-block d-none">Equipos</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
			<span class="d-sm-none">Galería</span>
			<span class="d-sm-block d-none">Galería</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="{% url 'node-documents' pk=object.pk %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="#" class="nav-link active">
			<span class="d-sm-none">Servicios</span>
			<span class="d-sm-block d-none">Servicios</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="{% url 'node-location' pk=object.pk %}" class="nav-link">
			<span class="d-sm-none">Ubicación</span>
			<span class="d-sm-block d-none">Ubicación</span>
		  </a>
		</li>
		<li class="nav-item">
			<a href="{% url 'node-leases' pk=object.pk %}" class="nav-link">
			  <span class="d-sm-none">DHCP leases</span>
			  <span class="d-sm-block d-none">DHCP leases</span>
			</a>
		  </li>
		  {% if object.is_optical_fiber %}
		  <li class="nav-item">
			  <a href="#" class="nav-link">
				<span class="d-sm-none">Fibra Óptica</span>
				<span class="d-sm-block d-none">Fibra Óptica</span>
			  </a>
			</li>
			{% endif %}
			<li class="nav-item">
				<a href="{% url 'node-activities' pk=object.pk %}" class="nav-link">
				  <span class="d-sm-none">Actividades</span>
				  <span class="d-sm-block d-none">Actividades</span>
				</a>
			  </li>
			  {% if not object.no_address_binding %}
			  <li class="nav-item">
				  <a href="#" class="nav-link">
					<span class="d-sm-none">Asociar Dirección</span>
					<span class="d-sm-block d-none">Asociar Dirección</span>
				  </a>
				</li>
	  
			  {% endif %}
	  </ul>

	  	  <!-- begin row -->
			<div class="row">	  

					<!-- begin col-12 -->
				  <div class="col-xl-12 ui-sortable">
						  <!-- begin panel -->
						  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
							<!-- begin panel-heading -->
							<div class="panel-heading ui-sortable-handle">
							  <h4 class="panel-title">Resumen</h4>
							  <div class="panel-heading-btn">
								<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
								<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
								<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
								<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
							  </div>
							</div>
							<!-- end panel-heading -->
							<!-- begin panel-body -->
							<div class="panel-body">
				  <table class="table">
					{% if node.service_set.active.count %}
					<tr>
					  <td><strong class="text-success">Activo</strong></td><td>{{ node.service_set.active.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.pending.count %}
					<tr>
					  <td><strong class="text-warning">Por Retirar</strong></td><td>{{ node.service_set.pending.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.inactive.count %}
					<tr>
					  <td><strong class="text-danger">Retirado</strong></td><td>{{ node.service_set.inactive.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.not_installed.count %}
					<tr>
					  <td><strong>No Instalado</strong></td><td>{{ node.service_set.not_installed.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.free.count %}
					<tr>
					  <td><strong>Canje</strong></td><td>{{ node.service_set.free.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.install_rejected.count %}
					<tr>
					  <td><strong>Instalación Rechazada</strong></td><td>{{ node.service_set.install_rejected.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.delinquent.count %}
					<tr>
					  <td><strong>Moroso</strong></td><td>{{ node.service_set.delinquent.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.holder_change.count %}
					<tr>
					  <td><strong>Cambio de Titular</strong></td><td>{{ node.service_set.holder_change.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.discarded.count %}
					<tr>
					  <td><strong>Descartado</strong></td><td>{{ node.service_set.discarded.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.on_hold.count %}
					<tr>
					  <td><strong>Baja Temporal</strong></td><td>{{ node.service_set.on_hold.count }}</td>
					</tr>
					{% endif %}
					{% if node.service_set.lost.count %}
					<tr>
					  <td><strong>Perdido, no se pudo retirar</strong></td><td>{{ node.service_set.lost.count }}</td>
					</tr>
					{% endif %}
					
				  </table>
			  <input type="hidden" id="node-pk" value="{{ object.pk }}">
		  </div>
		  <!-- end panel-body -->
		  </div>
		  <!-- end panel -->
		  </div>
		  <!-- end col-12 -->
		  
		  
		  </div>
		  <!-- end row -->

		  
  <!-- begin row -->
  <div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Servicios</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
              <table id="service-list" cellspacing="0" width="100%" class="table table-hover dt-responsive nowrap">
		<thead>
                  <tr>
                    <th>Número de servicio</th>
                    <th>Dirección</th>
                    <th>Estado</th>
                  </tr>
		</thead>
		<tbody>
		</tbody>
              </table>
		</div>
		<!-- end panel-body -->
		</div>
		<!-- end panel -->
		</div>
		<!-- end col-8 -->
	</div>
	<!-- end row -->
		


<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}
{% block pageleveljs %}
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/service-list.js' %}"></script>
{% endblock %}
